ERROR: No matching distribution found for dupeguru

I am trying to install dupeguru on Zorin 16.

I can not install it via PPA:


% sudo add-apt-repository ppa:dupeguru/ppa
LSB codename: 'focal'.
Version of base-files: '11ubuntu5.6+zorin1'.
Your LSB codename isn't a valid Linux Mint codename.
Please check your LSB information with "lsb_release -a".

I also can not install it via pip.

% pip3 install dupeguru
ERROR: Could not find a version that satisfies the requirement dupeguru (from versions: none)
ERROR: No matching distribution found for dupeguru

What can I do?

This may be of some help: software installation - How do I install DupeGuru Music Edition? - Ask Ubuntu